package com.zd.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 一体机设备勾选对象 lab_onepc
 *
 * @author zd
 * @date 2021-08-31
 */
@ApiModel("一体机设备勾选表")
public class LabOnepc extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 进出记录表id
     */
    @ApiModelProperty("进出记录表id")
    @Excel(name = "进出记录表id")
    private Long accessId;

    /**
     * 一体机对应标题（参照字典表）
     */
    @ApiModelProperty("一体机对应标题（参照字典表）")
    @Excel(name = "一体机对应标题", readConverterExp = "参=照字典表")
    private Integer oneTitle;

    /**
     * 一体机完成确认（1是确认，0是未确认 参考字典表）
     */
    @ApiModelProperty(value = "一体机完成确认（1是确认，0是未确认 参考字典表）")
    @Excel(name = "一体机完成确认", readConverterExp = "1=是确认，0是未确认,参=考字典表")
    private String oneConfirm;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty(value = "创建人（用于数据权限）")
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAccessId(Long accessId) {
        this.accessId = accessId;
    }

    public Long getAccessId() {
        return accessId;
    }

    public void setOneTitle(Integer oneTitle) {
        this.oneTitle = oneTitle;
    }

    public Integer getOneTitle() {
        return oneTitle;
    }

    public void setOneConfirm(String oneConfirm) {
        this.oneConfirm = oneConfirm;
    }

    public String getOneConfirm() {
        return oneConfirm;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("accessId", getAccessId())
                .append("oneTitle", getOneTitle())
                .append("oneConfirm", getOneConfirm())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
